Bug 981149 - Annoying zenity "forced quit" or "wait" pop up for everything while prelink/compiling/loaded
Annoying zenity "forced quit" or "wait" pop up for everything while prelink/c...
Status: NEW
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 02:38 EDT by Hin-Tak Leung
Modified: 2017-07-28 03:08 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hin-Tak Leung 2013-07-04 02:38:09 EDT
Description of problem:
While having prelink or long compiling task running in the background, gnome-shell keeping pop'ing up zenity to asking if I want to force-quit my gnome-terminals or seamonkey. I don't. It is normal for the system to be sluggish while those things are happening .

Version-Release number of selected component (if applicable):
gnome-shell-3.8.3-3.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Just build something in the background (e.g. rebuild R), while having seamonkey and others running.
2. wait to see gnome-shell to ask you every 10 minutes do you want to force quit some of the windows.
3.

Actual results:
gnome-shell to ask you every 10 minutes do you want to force quit some of the windows.


Expected results:
Don't want to see those "do you want to force quit" pop ups.

Additional info:
Comment 1 Hin-Tak Leung 2013-07-26 16:23:27 EDT
The full zenity command is (from ps -ax | grep zenity):

zenity --question --display :1.0 --class mutter-dialog --title  --text <big><b>“ - Notes” is not responding.</b></big>  You may choose to wait a short while for it to continue or force the application to quit entirely. --ok-label _Wait --cancel-label _Force Quit --icon-name face-sad-symbolic --modal

But I don't have mutter running. Looks like it is generated by libmutter or what not that gnome-shell links to.
Comment 2 Hin-Tak Leung 2013-08-08 23:16:15 EDT
Still happens all the time, when the system is sluggish for legitimate reasons. I need an option to disable this annoying behavior.
Comment 3 Fedora End Of Life 2015-01-09 13:39:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Hin-Tak Leung 2015-01-10 23:23:35 EST
still a problem in f21.
Comment 5 Václav Kadlčík 2015-04-20 04:01:55 EDT
This breaks many automated Eclipse tests on RHEL 7 even if nothing heavy is running in parallel. Eclipse is a heavy program on its own and it just takes some time to start it.

This annoying pop-up steals focus and breaks things and I can't see how to disable it. Now i use removing /usr/bin/zenity but that's not how things should be done.
Comment 6 Hin-Tak Leung 2015-04-21 11:43:22 EDT
Yes, I was tempted to remove zenity just to get out of this behavior.

I think this is a gnome-shell craziness - if the whole desktop isn't drawn by
one application (gnome-shell), one or two applications being unresponsive doesn't matter - one can always uses a terminal (which is rarely unresponsive)
to kill the stuck one.
Comment 7 Hin-Tak Leung 2015-08-05 13:39:51 EDT
Still a problem, and it is happening while I am just clicking firefox windows in succession - and quite terrible as it steal focus, which means if I click on two or three windows' tab to bring them into front, I could accidently kill the first one.
Comment 8 Hin-Tak Leung 2015-08-05 14:18:19 EDT
Since zenity is being called with "--class mutter-dialog":

"zenity --question --display :0.0 --class mutter-dialog ..."

I 'd guess it is mutter issue. Anyway, would really like some redhat people to comment, since this is very annoying and it has been a whole year and three releases now.
Comment 9 Hin-Tak Leung 2015-09-16 21:23:24 EDT
After accidentally killing off firefox twice on two consecutive days, I have had enough and looked at the mutter source to disable the zenity pop-up dialog. Here is the single line change to mutter that I have been using for about 30 hours now - and I am *so* happy I am not seeing the annoying zenity pop-up any more !!!!!

Please consider putting this in, or if it is too barbaric, add something equivalent as a user choice - "absolutely do not want to see any pop-ups about applications not responding and do not offer any choice of whether I like to force-kill it".

diff --git a/src/core/delete.c b/src/core/delete.c
index 141cd49..d8a126e 100644
--- a/src/core/delete.c
+++ b/src/core/delete.c
@@ -98,6 +98,8 @@ show_delete_dialog (MetaWindow *window,
               "Got delete ping timeout for %s\n",
               window->desc);
 
+  return;
+
   if (window->dialog_pid >= 0)
     {
       present_existing_delete_dialog (window, timestamp);
Comment 10 Hin-Tak Leung 2015-09-16 21:25:33 EDT
The diff is against mutter HEAD I think, but applies well with 3.16.3 .
Comment 11 Garrett Mitchener 2015-11-08 16:59:31 EST
When using a Manipulate[] construction in Mathematica, if you move a slider back and forth for more than a second or two, it triggers this dialog box even though the window in question is responsive.

I occasionally find this dialog useful, but I'd also like a way to disable it.
Comment 12 Owen Taylor 2015-11-09 09:59:58 EST
(In reply to Garrett Mitchener from comment #11)
> When using a Manipulate[] construction in Mathematica, if you move a slider
> back and forth for more than a second or two, it triggers this dialog box
> even though the window in question is responsive.

The window is apparently responding to your mouse clicks, but it isn't responding to NET_WM_PING messages (the timeout is 5 seconds.) This is a Mathematica bug.
 
> I occasionally find this dialog useful, but I'd also like a way to disable
> it.

Honestly, we're not going to do this - if apps advertise NET_WM_PING in their WM_PROTOCOLS they need to live up to the contract of responding to it in a timely fashion.

(The origin problem in this bug seems to be incredibly bad system performance - apps are perhaps getting swapped out to a very slow disk? It doesn't sound at all usable with or without the dialogs :-()
Comment 13 Hin-Tak Leung 2015-11-09 17:59:42 EST
(In reply to Owen Taylor from comment #12)
...
> The window is apparently responding to your mouse clicks, but it isn't
> responding to NET_WM_PING messages (the timeout is 5 seconds.) This is a
> Mathematica bug.

Is it possible to make the time out user-configurable?

...
> (The origin problem in this bug seems to be incredibly bad system
> performance - apps are perhaps getting swapped out to a very slow disk? It
> doesn't sound at all usable with or without the dialogs :-()

My firefox is always 1/3 not resident, at least. I do not see that as a problem:

3245 hintak    20   0 7582576 5.377g  58076 S  35.8 79.7 400:57.42 firefox

I have many firefox windows open, many of which I don't visit for hours.

(In reply to Hin-Tak Leung from comment #9)
> After accidentally killing off firefox twice on two consecutive days, I have
> had enough and looked at the mutter source to disable the zenity pop-up
> dialog. Here is the single line change to mutter that I have been using for
> about 30 hours now - and I am *so* happy I am not seeing the annoying zenity
> pop-up any more !!!!!
> 
> Please consider putting this in, or if it is too barbaric, add something
> equivalent as a user choice - "absolutely do not want to see any pop-ups
> about applications not responding and do not offer any choice of whether I
> like to force-kill it".
> 
> diff --git a/src/core/delete.c b/src/core/delete.c
> index 141cd49..d8a126e 100644
> --- a/src/core/delete.c
> +++ b/src/core/delete.c
> @@ -98,6 +98,8 @@ show_delete_dialog (MetaWindow *window,
>                "Got delete ping timeout for %s\n",
>                window->desc);
>  
> +  return;
> +
>    if (window->dialog_pid >= 0)
>      {
>        present_existing_delete_dialog (window, timestamp);

been using the diff for almost two months now, and even through upgrade to f23.
basically whenever my own rpm gets overwritten by an upgrade, I go and fetch the source rpm and patch it and rebuild, and have never been without the patch for more than the time to rebuild.

and I do not miss that dialog.
Comment 14 klingt.net 2016-08-18 10:06:12 EDT
Any news on this? The bug is still existent in Gnome 3.20.3
An option to disable the dialog would be very helpful.
Comment 15 klingt.net 2016-08-18 10:06:57 EDT
PS: At least change the default keybinding, pressing `ESC` will kill the application instead of closing the dialog.
Comment 16 Hin-Tak Leung 2016-08-18 10:36:20 EDT
I have my one-liner patch in for every upgrade since. Luckily mutter upgrades are not frequent. Honestly I do not miss the force-kill dialog. I don't need it, and don't want it.
Comment 17 J. Haas 2016-11-02 03:51:41 EDT
Any news on this? This is super annoying when debugging GUI applications. Yes, I'm aware that the program I debug will not respond to pings while it's at a breakpoint. No, I don't want to close it.
Comment 18 Fedora End Of Life 2016-11-24 05:59:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 J. Haas 2016-11-24 06:23:01 EST
This is still in F25
Comment 20 Hin-Tak Leung 2016-11-24 15:47:42 EST
Still a problem.
Comment 21 bolune 2016-12-02 19:34:13 EST
Hello everyone. I solved this annoying problem for myself and want to share for others. I found this method great because you don't need to touch system and it will work after any update.

1.) open terminal
2.) mkdir -p ~/bin
3.) echo : > ~/bin/zenity 
: command means do nothing
4.) chmod +x ~/bin/zenity

if won't work then use ~/.local/bin instead of ~/bin
Good Luck.
Comment 22 J. Haas 2017-07-28 03:08:48 EDT
(In reply to bolune from comment #21)
> Hello everyone. I solved this annoying problem for myself and want to share
> for others. I found this method great because you don't need to touch system
> and it will work after any update.
> 
> 1.) open terminal
> 2.) mkdir -p ~/bin
> 3.) echo : > ~/bin/zenity 
> : command means do nothing
> 4.) chmod +x ~/bin/zenity
> 
> if won't work then use ~/.local/bin instead of ~/bin
> Good Luck.

That breaks zenity completely, though.

Still a problem in Fedora 26.

Note You need to log in before you can comment on or make changes to this bug.